Raise NotImplementedError instead of NotImplemented

Bug #1339855 reported by Christian Berendt on 2014-07-09
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
CloudCafe
Undecided
Unassigned
Fuel for OpenStack
Medium
Christian Berendt
OpenStack Heat
Fix Released
Undecided
Ji.Wei
OpenStack Identity (keystone)
Medium
Ji.Wei
Solar
Undecided
Unassigned
Warm
Undecided
Unassigned
keystonemiddleware
Undecided
Jamie Lennox
neutron
Undecided
Christian Berendt

Bug Description

NotImplementedError is the name of the exception (https://docs.python.org/2/library/exceptions.html).

NotImplemented is the name of a constant (https://docs.python.org/2/library/constants.html).

It makes no sense to raise a constant. The exception should be raised instead.

Changed in neutron:
assignee: nobody → Christian Berendt (berendt)
status: New → In Progress

Fix proposed to branch: master
Review: https://review.openstack.org/105858

Changed in fuel:
assignee: nobody → Christian Berendt (berendt)
status: New → In Progress
Changed in fuel:
importance: Undecided → Medium
milestone: none → 5.1

Reviewed: https://review.openstack.org/105859
Committed: https://git.openstack.org/cgit/stackforge/cloudcafe/commit/?id=dfe834bb9bbb394ad771d2f89f63179c534bf7a5
Submitter: Jenkins
Branch: master

commit dfe834bb9bbb394ad771d2f89f63179c534bf7a5
Author: Christian Berendt <email address hidden>
Date: Wed Jul 9 21:58:34 2014 +0200

    Raise NotImplementedError instead of NotImplemented

    NotImplementedError is the name of the exception
    (https://docs.python.org/2/library/exceptions.html).

    NotImplemented is the name of a constant
    (https://docs.python.org/2/library/constants.html).

    It makes no sense to raise a constant. The exception should
    be raised instead.

    Change-Id: I369b47dac60106f96aed9d044f8b510afd09d266
    Closes-Bug: #1339855

Changed in cloudcafe:
status: New → Fix Committed

Reviewed: https://review.openstack.org/105858
Committed: https://git.openstack.org/cgit/stackforge/fuel-web/commit/?id=9376d43da8781cade8eb96a2d51e1c49dcc4c863
Submitter: Jenkins
Branch: master

commit 9376d43da8781cade8eb96a2d51e1c49dcc4c863
Author: Christian Berendt <email address hidden>
Date: Wed Jul 9 21:56:22 2014 +0200

    Raise NotImplementedError instead of NotImplemented

    NotImplementedError is the name of the exception
    (https://docs.python.org/2/library/exceptions.html).

    NotImplemented is the name of a constant
    (https://docs.python.org/2/library/constants.html).

    It makes no sense to raise a constant. The exception should
    be raised instead.

    Change-Id: I47efa6db2484757022d5f0601719d4ea4c78417d
    Closes-Bug: #1339855

Changed in fuel:
status: In Progress → Fix Committed
tags: added: icehouse-backport-potential

Reviewed: https://review.openstack.org/104869
Committed: https://git.openstack.org/cgit/openstack/neutron/commit/?id=e8e2392321e0fd3e2b8a0345b725f2e8df854a34
Submitter: Jenkins
Branch: master

commit e8e2392321e0fd3e2b8a0345b725f2e8df854a34
Author: Christian Berendt <email address hidden>
Date: Fri Jul 4 13:12:26 2014 +0200

    Raise NotImplementedError instead of NotImplemented

    NotImplementedError is the name of the exception
    (https://docs.python.org/2/library/exceptions.html).

    NotImplemented is the name of a constant
    (https://docs.python.org/2/library/constants.html).

    It makes no sense to raise a constant. The exception should
    be raised instead.

    Change-Id: I4969e26eb7b46f008ea3c8bd0093490c425f7069
    Closes-Bug: #1339855

Changed in neutron:
status: In Progress → Fix Committed
Thierry Carrez (ttx) on 2014-09-04
Changed in neutron:
milestone: none → juno-3
status: Fix Committed → Fix Released

Change abandoned by Romain Hardouin (<email address hidden>) on branch: master
Review: https://review.openstack.org/120044
Reason: Already fixed by Christian Berendt: https://review.openstack.org/#/c/104872/

Thierry Carrez (ttx) on 2014-10-16
Changed in neutron:
milestone: juno-3 → 2014.2

Change abandoned by Christian Berendt (<email address hidden>) on branch: master
Review: https://review.openstack.org/104872
Reason: out of date

Fix proposed to branch: master
Review: https://review.openstack.org/365193

Change abandoned by JiWei (<email address hidden>) on branch: master
Review: https://review.openstack.org/365189
Reason: 重复

Dave Chen (wei-d-chen) on 2016-09-05
Changed in keystone:
importance: Undecided → Medium
assignee: nobody → Ji.Wei (jiwei)
Ji.Wei (jiwei) on 2016-09-05
Changed in warm:
assignee: nobody → Ji.Wei (jiwei)
Ji.Wei (jiwei) wrote :

@Dave Chen

hi Dave Chen , I didn't find this component. :)

Changed in warm:
status: New → Invalid

Reviewed: https://review.openstack.org/365196
Committed: https://git.openstack.org/cgit/openstack/keystone/commit/?id=5a49379b349dc33f403cfdcfd6148dfa362512de
Submitter: Jenkins
Branch: master

commit 5a49379b349dc33f403cfdcfd6148dfa362512de
Author: Ji-Wei <email address hidden>
Date: Sat Sep 3 13:03:13 2016 +0800

    Raise NotImplementedError instead of NotImplemented

    NotImplementedError is the name of the exception
    (https://docs.python.org/2/library/exceptions.html).
    NotImplemented is the name of a constant
    (https://docs.python.org/2/library/constants.html).
    >>> raise NotImplemented()
    Traceback (most recent call last):
      File "<pyshell#31>", line 1, in <module>
        raise NotImplemented()
    TypeError: 'NotImplementedType' object is not callable
    >>> raise NotImplementedError()
    Traceback (most recent call last):
      File "<pyshell#32>", line 1, in <module>
        raise NotImplementedError()
    NotImplementedError

    This patch fix it.

    Change-Id: I36292e5ee18bd792205a8ff527f4ae9705c61b61
    Closes-Bug: #1339855

Changed in keystone:
status: New → Fix Released
Ji.Wei (jiwei) on 2016-09-06
Changed in solar:
assignee: nobody → Ji.Wei (jiwei)
Changed in keystonemiddleware:
assignee: nobody → Ji.Wei (jiwei)
status: New → In Progress
Changed in solar:
status: New → In Progress
Changed in keystone:
milestone: none → newton-rc1
Ji.Wei (jiwei) on 2016-09-18
Changed in heat:
assignee: nobody → Ji.Wei (jiwei)
Changed in heat:
status: New → In Progress

Reviewed: https://review.openstack.org/367735
Committed: https://git.openstack.org/cgit/openstack/heat/commit/?id=2a662465361e31dbf230d597182f9f7fd8b61183
Submitter: Jenkins
Branch: master

commit 2a662465361e31dbf230d597182f9f7fd8b61183
Author: Ji-Wei <email address hidden>
Date: Fri Sep 9 13:06:26 2016 +0800

    Raise NotImplementedError instead of NotImplemented

    NotImplementedError is the name of the exception
    (https://docs.python.org/2/library/exceptions.html).
    NotImplemented is the name of a constant
    (https://docs.python.org/2/library/constants.html).
    >>> raise NotImplemented()
    Traceback (most recent call last):
      File "<pyshell#0>", line 1, in <module>
        raise NotImplemented()
    TypeError: 'NotImplementedType' object is not callable
    >>> raise NotImplementedError()
    Traceback (most recent call last):
      File "<pyshell#1>", line 1, in <module>
        raise NotImplementedError()
    NotImplementedError
    This patch fix it.

    Change-Id: I939eaa4b4b7c574f7a6447725e3a6ad5b128f1b7
    Closes-Bug: #1339855

Changed in heat:
status: In Progress → Fix Released
Changed in keystonemiddleware:
assignee: Ji.Wei (jiwei) → Jamie Lennox (jamielennox)

Reviewed: https://review.openstack.org/365509
Committed: https://git.openstack.org/cgit/openstack/keystonemiddleware/commit/?id=f2792d7d07adb18a9fe676f28e589ebac6ed61a1
Submitter: Jenkins
Branch: master

commit f2792d7d07adb18a9fe676f28e589ebac6ed61a1
Author: Ji-Wei <email address hidden>
Date: Mon Sep 5 18:10:12 2016 +0800

    Raise NotImplementedError instead of NotImplemented

    NotImplementedError is the name of the exception
    (https://docs.python.org/2/library/exceptions.html).
    NotImplemented is the name of a constant
    (https://docs.python.org/2/library/constants.html).
    This patch fix it.

    Change-Id: If0c220b8fc8480e5904400e9086935944bce728a
    Closes-Bug: #1339855

Changed in keystonemiddleware:
status: In Progress → Fix Released

This issue was fixed in the openstack/cinder 9.0.0.0rc1 release candidate.

This issue was fixed in the openstack/keystone 10.0.0.0rc1 release candidate.

This issue was fixed in the openstack/mistral 3.0.0.0rc1 release candidate.

This issue was fixed in the openstack/searchlight 1.0.0.0rc1 release candidate.

Reviewed: https://review.openstack.org/365193
Committed: https://git.openstack.org/cgit/openstack/python-fuelclient/commit/?id=2a0d010f5a9e22042ed1ab0b194484663fa55766
Submitter: Jenkins
Branch: master

commit 2a0d010f5a9e22042ed1ab0b194484663fa55766
Author: Ji-Wei <email address hidden>
Date: Sat Sep 3 12:32:51 2016 +0800

    Raise NotImplementedError instead of NotImplemented

    NotImplementedError is the name of the exception
    (https://docs.python.org/2/library/exceptions.html).
    NotImplemented is the name of a constant
    (https://docs.python.org/2/library/constants.html).

    >>> raise NotImplemented()
    Traceback (most recent call last):
      File "<pyshell#31>", line 1, in <module>
        raise NotImplemented()
    TypeError: 'NotImplementedType' object is not callable
    >>> raise NotImplementedError()
    Traceback (most recent call last):
      File "<pyshell#32>", line 1, in <module>
        raise NotImplementedError()
    NotImplementedError

    This patch fix it.

    Change-Id: Ia8bf7d75cd7f70e503b9669fc60ea9d89642489b
    Closes-Bug: #1339855

This issue was fixed in the openstack/keystoneauth 2.13.0 release.

This issue was fixed in the openstack/keystonemiddleware 4.10.0 release.

This issue was fixed in the openstack/networking-bgpvpn 5.0.0 release.

This issue was fixed in the openstack/cinder 9.0.0.0rc1 release candidate.

This issue was fixed in the openstack/keystone 10.0.0.0rc1 release candidate.

This issue was fixed in the openstack/mistral 3.0.0.0rc1 release candidate.

This issue was fixed in the openstack/searchlight 1.0.0.0rc1 release candidate.

This issue was fixed in the openstack/keystonemiddleware 4.10.0 release.

This issue was fixed in the openstack/heat 8.0.0.0b1 development milestone.

This issue was fixed in the openstack/os-net-config 6.0.0.0b1 development milestone.

This issue was fixed in the openstack/networking-bgpvpn 5.0.0 release.

Ji.Wei (jiwei) on 2018-03-05
Changed in warm:
assignee: Ji.Wei (jiwei) → nobody
Changed in solar:
assignee: Ji.Wei (jiwei) → nobody

Change abandoned by JiWei (<email address hidden>) on branch: master
Review: https://review.openstack.org/365187

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers